MiniMax
MiniMax H3 (自部署) · 生成影片
影片 / MiniMax / MiniMax H3 (自部署) / 生成影片
| 介面 | 方法 | 路徑 |
|---|---|---|
| 提交任務 | POST | /v1/videos/generations |
| 查詢結果 | GET | /v1/videos/generations/{id} |
請求參數
Authorization
在 Header 加入參數 Authorization,其值為 Bearer 之後拼接你的 API Key。
Authorization: Bearer ****************
Header 參數
Content-Typestring可選
application/json
Acceptstring可選
application/json
Body 參數application/json必填
modelstring必需
模型 ID,固定為 `MiniMax-H3-Tokens`
contentarray[object]必需
resolutionstring必需
480P / 768P / 2K解析度(如 720P / 1080P)
durationinteger必需
4–15時長(秒)
ratiostring可選
adaptive / 21:9 / 16:9 / 4:3 / 1:1 / 3:4 / 9:16生成影片寬高比(預設 adaptive)
範例
{ "model": "MiniMax-H3-Tokens", "content": [ { "type": "text", "text": "海浪拍打礁石的慢鏡頭,黃昏暖色調" } ], "resolution": "768P", "duration": 5, "ratio": "16:9"}請求範例程式碼
curl https://api.hotrouter.ai/v1/videos/generations \ -H "Authorization: Bearer $API_KEY" \ -H "Content-Type: application/json" \ -d '{ "model": "MiniMax-H3-Tokens", "content": [ { "type": "text", "text": "海浪拍打礁石的慢鏡頭,黃昏暖色調" } ], "resolution": "768P", "duration": 5, "ratio": "16:9" }'回應
提交任務
{ "task_id": "xxxxxxxx"}查詢結果
{ "task": { "id": "xxxxxxxx", "status": "succeeded", "content": { "url": "https://.../video.mp4" }, "usage": { "output_seconds": 5 } }}
